# -*- coding: utf-8 -*-

from pyeole.pkg import EolePkg

def setup_module(module):
    """
    Initialisation du cache APT
    """
    module.repo = EolePkg("apt")


def _test_eole_package(pkgname):
    """
    Si le paquet est installé, vérifie que c'est la version EOLE
    """
    pkg = repo.get_package(pkgname)
    if pkg.installed is None:
        print "Le paquet {0} n'est pas installé".format(pkgname)
    else:
        print "Test du paquet {0}".format(pkgname)
        assert pkg.installed.origins[0].origin == 'Eole'


def test_eole_packages():
    """
    Paquets recompilés par EOLE
    """

    _test_eole_package('e2guardian')
    _test_eole_package('interbase')
    _test_eole_package('lightsquid')
    _test_eole_package('python-xmlsec')
    _test_eole_package('python-m2crypto')
    _test_eole_package('smbldap-tools')
    _test_eole_package('uucp')


